﻿using SimplePermission.Models;
using SimplePermission.Services;
using System.Web.Mvc;

namespace SimplePermission.Controllers
{
    public class AccountController : Controller
    {
        private IAccountService _accountService = Factory.GetAccountService();

        [Authorize]
        public ActionResult Index()
        {
            return View();
        }

        [AllowAnonymous]
        public ActionResult Login()
        {
            return View();
        }

        [AllowAnonymous]
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Login(LoginModel model)
        {
            if (ModelState.IsValid)
            {
                _accountService.SignIn(model.UserName, false);
                return RedirectToAction("Index", "Home");
            }
            return View(model);
        }

        [Authorize]
        [HttpPost]
        public ActionResult Logout()
        {
            _accountService.SignOut();
            return RedirectToAction("Index", "Home");
        }
    }
}